# =========================================================================== #
# Gemspec for Project ProgramInformation.
# =========================================================================== #
require 'program_information'
require 'roebe/toplevel_methods/misc.rb'

Gem::Specification.new { |s|

  s.name    = 'program_information'
  s.version = ProgramInformation::ProgramInformation::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

This library is called program_information.

It allows you to return the real name and the version of strings
such as "htop-1.0.2.tar.xz".

The name would be "htop" and the version would be "1.0.2".

This project here was needed for the Cookbooks project and the
RBT project.

It has since then become somewhat useful on its own.

EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.extra_rdoc_files = %w()

  s.authors  = ['Robert A. Heiler']
  s.email    = Roebe.email?
  s.files    = Dir['**/*']
  s.license  = 'MIT'
  s.homepage = 'https://rubygems.org/gems/program_information'

  s.required_ruby_version     = '>= '+Roebe.third_most_stable_version_of_ruby
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # Add the dependencies next:
  # ========================================================================= #
  s.add_dependency 'colours'
  s.add_dependency 'remove_file_suffix'

}