#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'cliner'
require 'colours/autoinclude'
require 'program_information'

cliner {
  e 'Testing project ProgramInformation next.'
}; e

# =========================================================================== #
# === TEST_THESE_PROGRAMS
#
# It is recommended to move more complicated input to the bottom
# of this array. That way we can focus on it quickly.
# =========================================================================== #
TEST_THESE_PROGRAMS = ProgramInformation::ARRAY_TEST_THIS_AS_INPUT.reject(&:empty?)

# =========================================================================== #
# === test
# =========================================================================== #
def test(i)
  cliner
  e
  e 'Now testing input                              `'+sfancy(i)+'`.'
  e
  begin
    ProgramInformation::ProgramInformation.new(i).report(:do_report)
  rescue Exception => error
    pp error
  end
  # _ = ProgramInformation::ProgramInformation.new(entry, true, true)
  e
  cliner
  e # Trailing newline.
end

# =========================================================================== #
# Iterate over TEST_THESE_PROGRAMS.
# =========================================================================== #    
TEST_THESE_PROGRAMS.each {|entry| test(entry) }

TEST_THESE_PROGRAMS.each {|entry|
  original_entry = entry.dup
  entry = ProgramInformation.return_proper_pipe_token_to_this_input(entry)
  e simp(original_entry.ljust(54))+'  ->  '+sfancy(entry)
}